Val 1 <input type="text" name="f1" id="f1" /> <br />

Val 2 <input type="text" name="f2" id="f2" onClick="clear_result()" onkeyup="check_lengh(this.value)" maxlength="2"   onkeydown="Javascript: if (event.keyCode == 13) find_result(); "/> <br />

Result <input type="text" name="res" id="res" /> <br />
<input type="hidden" value="Add" onclick="find_result();" />

<script>
function check_lengh(val)
	{
    var len=val.length;
    if(len==2)
		{
			find_result();
		}
	}
	
    function find_result() {
    var f1 = parseInt(document.getElementById('f1').value);
    var f2 = parseInt(document.getElementById('f2').value);
    var res = f1*(f2/'100');
    document.getElementById('res').value = res;
	}

</script>    
<script type="text/javascript" src="jquery.js"></script>